Prerequisites

IT Asset Management (Cloud)
The XenApp server adapter requires the following:
  • The executable and supporting files for the XenApp server agent. These are available as described in Creating the Staging Database.
  • The XenApp server (on which the XenApp server agent is installed) requires:
    • .NET version 4.5 or greater
    • PowerShell 2.0 or greater.
  • A staging database that can run in a convenient Microsoft SQL Server instance. For example, this may be a database running on the inventory beacon, or on the XenApp server hosting the XenApp server agent. For more about the requirements for this database,, see Creating the Staging Database.database
  • An inventory beacon (or multiple if required) that collects Active Directory data for the domain(s) where your XenApp server(s) are located.
  • An inventory beacon (possibly the same as in the previous point) that can connect to your staging database and upload the inventory to the central IT Asset Management database. This process is performed by the XenApp server adapter on the inventory beacon.
  • If you are using XenApp 6.x with the recommended EdgeSight server, an inventory beacon (almost invariably the same one as in the previous point) that can connect to the EdgeSight database.
    Tip: For XenApp 6.x with EdgeSight, also be sure to take inventory from your XenApp servers so that edition information is available to your license consumption calculations. This inventory may also be collected by an appropriate inventory beacon.
  • If you are using Citrix XenApp 7.6 (or later) or Citrix Virtual Apps 7.1808 (or later), an inventory beacon (usually the same one) that can connect to your XenDesktop database, and uploaded the imported data to your central operations databases.

Supported versions

6.0, 6.5, 7.5-7.9, 7.11–7.17 (XenApp), 7.1808–7.2103 (Citrix Virtual Apps)

IT Asset Management (Cloud)

Current